linux-armadaxp: 3.5.0-1629.38 -proposed tracker

Bug #1290674 reported by Brad Figg on 2014-03-11
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Ike Panhc
Automated-testing
Medium
Unassigned
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Ike Panhc
Prepare-package-meta
Medium
Ike Panhc
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Ubuntu Stable Release Updates Team
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Paul Larson
Security-signoff
Medium
Unassigned
Upload-to-ppa-dnu
Medium
Ike Panhc
Verification-testing
Medium
Ike Panhc
linux-armadaxp (Ubuntu)
Medium
Unassigned
Quantal
Medium
Ike Panhc

Bug Description

This bug is for tracking the 3.5.0-1629.38 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 11. March 2014 04:04 UTC
kernel-stable-master-bug:1290459
kernel-stable-Certification-testing-end:Wednesday, 12. March 2014 06:02 UTC
kernel-stable-Security-signoff-end:Wednesday, 12. March 2014 06:03 UTC
kernel-stable-Prepare-package-end:Wednesday, 12. March 2014 11:02 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 12. March 2014 11:02 UTC
ppa-package-testing-start:Wednesday, 12. March 2014 12:01 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 13. March 2014 23:01 UTC
kernel-stable-Verification-testing-start:Friday, 14. March 2014 00:03 UTC
kernel-stable-Regression-testing-start:Friday, 14. March 2014 00:03 UTC
kernel-stable-Verification-testing-end:Monday, 17. March 2014 14:02 UTC
kernel-stable-Regression-testing-end:Thursday, 20. March 2014 22:02 UTC
kernel-stable-Promote-to-updates-start:Sunday, 30. March 2014 21:02 UTC
kernel-stable-Promote-to-updates-end:Monday, 31. March 2014 08:02 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 31. March 2014 10:04 UTC

This tracking bug was opened to be worked from linux-3.5.0-48.72 update (bug 1290459)

tags: added: kernel-release-tracking-bug
tags: added: armhf
tags: added: quantal
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-armadaxp (Ubuntu):
importance: Undecided → Medium
Changed in linux-armadaxp (Ubuntu Quantal):
importance: Undecided → Medium
Ike Panhc (ikepanhc) on 2014-03-12
summary: - linux-armadaxp: <version to be filled> -proposed tracker
+ linux-armadaxp: 3.5.0-1629.38 -proposed tracker
description: updated
Brad Figg (brad-figg) on 2014-03-12
description: updated
Ike Panhc (ikepanhc) on 2014-03-12
Changed in kernel-sru-workflow:
assignee: nobody → Ike Panhc (ikepanhc)
Changed in linux-armadaxp (Ubuntu):
status: New → Invalid
Changed in linux-armadaxp (Ubuntu Quantal):
assignee: nobody → Ike Panhc (ikepanhc)

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Ike Panhc (ikepanhc) on 2014-03-12
Changed in linux-armadaxp (Ubuntu Quantal):
status: New → In Progress
Brad Figg (brad-figg) on 2014-03-12
description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2014-03-13
description: updated
Brad Figg (brad-figg) on 2014-03-14
description: updated
Ike Panhc (ikepanhc) wrote :

Rebase only

Brad Figg (brad-figg) on 2014-03-17
description: updated
Paul Larson (pwlars) wrote :

All passed except test_072_config_debug_rodata which is known

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2014-03-20
description: updated
Brad Figg (brad-figg) on 2014-03-30
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (5.1 KiB)

This bug was fixed in the package linux-armadaxp - 3.5.0-1629.38

---------------
linux-armadaxp (3.5.0-1629.38) quantal-proposed; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1290674
  * Rebase onto Ubuntu-3.5.0-48.72

  [ Ubuntu: 3.5.0-48.72 ]

  * Release Tracking Bug
    - LP: #1290459
  * PCI: Enable ARI if dev and upstream bridge support it; disable
    otherwise
    - LP: #1285777
  * crypto: s390 - fix concurrency issue in aes-ctr mode
    - LP: #1285777
  * crypto: s390 - fix des and des3_ede cbc concurrency issue
    - LP: #1285777
  * crypto: s390 - fix des and des3_ede ctr concurrency issue
    - LP: #1285777
  * ALSA: usb-audio: Add missing kconfig dependecy
    - LP: #1285777
  * [media] mxl111sf: Fix unintentional garbage stack read
    - LP: #1285777
  * [media] mxl111sf: Fix compile when CONFIG_DVB_USB_MXL111SF is unset
    - LP: #1285777
  * drm/mgag200: fix typo causing bw limits to be ignored on some chips
    - LP: #1285777
  * ALSA: hda - Improve loopback path lookups for AD1983
    - LP: #1285777
  * x86, hweight: Fix BUG when booting with CONFIG_GCOV_PROFILE_ALL=y
    - LP: #1285777
  * mm/swap: fix race on swap_info reuse between swapoff and swapon
    - LP: #1285777
  * mm: __set_page_dirty_nobuffers() uses spin_lock_irqsave() instead of
    spin_lock_irq()
    - LP: #1285777
  * mm: __set_page_dirty uses spin_lock_irqsave instead of spin_lock_irq
    - LP: #1285777
  * sched,rt: fix isolated CPUs leaving root_task_group indefinitely
    throttled
    - LP: #1285777
  * sched: Unthrottle rt runqueues in __disable_runtime()
    - LP: #1285777
  * sched/rt: Avoid updating RT entry timeout twice within one tick period
    - LP: #1285777
  * rtc-cmos: Add an alarm disable quirk
    - LP: #1285777
  * timekeeping: Avoid possible deadlock from clock_was_set_delayed
    - LP: #1285777
  * timekeeping: fix 32-bit overflow in get_monotonic_boottime
    - LP: #1285777
  * ahci: Use PCI_VENDOR_ID_MARVELL_EXT for 0x1b4b
    - LP: #1285777
  * ahci: add an observed PCI ID for Marvell 88se9172 SATA controller
    - LP: #1285777
  * ftrace: Synchronize setting function_trace_op with
    ftrace_trace_function
    - LP: #1285777
  * ftrace: Fix synchronization location disabling and freeing ftrace_ops
    - LP: #1285777
  * ftrace: Have function graph only trace based on global_ops filters
    - LP: #1285777
  * printk: Fix scheduling-while-atomic problem in console_cpu_notify()
    - LP: #1285777
  * staging:iio:ad799x fix error_free_irq which was freeing an irq that may
    not have been requested
    - LP: #1285777
  * xhci: Fix resume issues on Renesas chips in Samsung laptops
    - LP: #1285777
  * KVM: return an error code in kvm_vm_ioctl_register_coalesced_mmio()
    - LP: #1285777
  * power: max17040: Fix NULL pointer dereference when there is no
    platform_data
    - LP: #1285777
  * s390/dump: Fix dump memory detection
    - LP: #1285777
  * ath9k_htc: Do not support PowerSave by default
    - LP: #1285777
  * ath9k: Do not support PowerSave by default
    - LP: #1285777
  * spi: nuc900: Set SPI_LSB_FIRST for master->mode_bits if hw->pdata->lsb
    is true
    - LP: #1285777
  * usb: ftdi_sio: add Min...

Read more...

Changed in linux-armadaxp (Ubuntu Quantal):
status: In Progress → Fix Released
Brad Figg (brad-figg) on 2014-03-31
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers